"use strict";
var url = require('url');
var OnPremResolver_1 = require('./OnPremResolver');
var OnlineResolver_1 = require('./OnlineResolver');
var AuthResolverFactory = (function () {
    function AuthResolverFactory() {
    }
    AuthResolverFactory.prototype.resolve = function (siteUrl) {
        var host = (url.parse(siteUrl)).host;
        var isOnPrem = host.indexOf('.sharepoint.com') === -1 && host.indexOf('.sharepoint.cn') === -1;
        if (isOnPrem) {
            return new OnPremResolver_1.OnPremResolver();
        }
        return new OnlineResolver_1.OnlineResolver();
    };
    return AuthResolverFactory;
}());
exports.AuthResolverFactory = AuthResolverFactory;
